NameEntry Struct Reference

## Data Fields

UChar * | name
size_t | name_len
int | back_num
int | back_alloc
int | back_ref1
int * | back_refs

## Detailed Description

Definition at line 404 of file regparse.c.

## Field Documentation

int NameEntry::back_alloc

Definition at line 408 of file regparse.c.

Referenced by name_add().

int NameEntry::back_num

Definition at line 407 of file regparse.c.

Referenced by i_names(), i_renumber_name(), name_add(), and onig_name_to_group_numbers().

int NameEntry::back_ref1

Definition at line 409 of file regparse.c.

Referenced by i_names(), i_renumber_name(), name_add(), and onig_name_to_group_numbers().

int* NameEntry::back_refs

Definition at line 410 of file regparse.c.

Referenced by i_free_name_entry(), i_names(), i_renumber_name(), name_add(), and onig_name_to_group_numbers().

UChar* NameEntry::name

Definition at line 405 of file regparse.c.

Referenced by i_free_name_entry(), i_names(), and name_add().

size_t NameEntry::name_len

Definition at line 406 of file regparse.c.

Referenced by i_names().

The documentation for this struct was generated from the following file:

- regparse.c